Subject: Re: [PATCH v2 2/2] blame: use different blame_date_width for different locale

From: David Kastrup <[email-masked]>
Date: Tue, 22 Apr 2014 12:01:02 +0200

Junio C Hamano <[email-masked]> writes:

> This is not wrong per-se, but I am not sure if translators would
> understand that "years and months ago" may not be the longuest
> variant for their language and they are asked to use "89 seconds
> ago" if the translation of that is longer than the translation for
> "4 years, 11 months ago" in their language, with the given
> explanation.

What's with the 89?  And the other semi-magic numbers?  If we fear about
non-arabic number formatting, at least in French French the worst
offender may be quatre-vingt-quatorze ("four score and fourteen") or
quatre-vingt-dix-neuf ("four score and nineteen"), namely 94 or 99.  But
I think it's improbable to get worded formatting here anyway.  Or are
those the largest values with their respective granularity?

-- 
David Kastrup